| IDA SDK

Macros | Functions
Functions: examine specific state information
Flags structure » States

## Detailed Description

## Macros
#define | FF_ANYNAME (FF_LABL|FF_NAME)
| Has name or dummy name?

## Functions
THREAD_SAFE bool idaapi | is_flow (flags64_t F)
| Does the previous instruction exist and pass execution flow to the current byte?
THREAD_SAFE bool idaapi | has_extra_cmts (flags64_t F)
| Does the current byte have additional anterior or posterior lines?
THREAD_SAFE bool idaapi | f_has_extra_cmts (flags64_t f, void *)
THREAD_SAFE bool idaapi | has_cmt (flags64_t F)
| Does the current byte have an indented comment?
THREAD_SAFE bool idaapi | f_has_cmt (flags64_t f, void *)
THREAD_SAFE bool idaapi | has_xref (flags64_t F)
| Does the current byte have cross-references to it?
THREAD_SAFE bool idaapi | f_has_xref (flags64_t f, void *)
| Does the current byte have cross-references to it? More...
THREAD_SAFE bool idaapi | has_name (flags64_t F)
| Does the current byte have non-trivial (non-dummy) name?
THREAD_SAFE bool idaapi | f_has_name (flags64_t f, void *)
| Does the current byte have non-trivial (non-dummy) name? More...
THREAD_SAFE bool idaapi | has_dummy_name (flags64_t F)
| Does the current byte have dummy (auto-generated, with special prefix) name?
THREAD_SAFE bool idaapi | f_has_dummy_name (flags64_t f, void *)
| Does the current byte have dummy (auto-generated, with special prefix) name? More...
THREAD_SAFE bool idaapi | has_auto_name (flags64_t F)
| Does the current byte have auto-generated (no special prefix) name?
THREAD_SAFE bool idaapi | has_any_name (flags64_t F)
| Does the current byte have any name?
THREAD_SAFE bool idaapi | has_user_name (flags64_t F)
| Does the current byte have user-specified name?
THREAD_SAFE bool idaapi | f_has_user_name (flags64_t F, void *)
| Does the current byte have user-specified name? More...
idaman bool ida_export | is_invsign (ea_t ea, flags64_t F, int n)
| Should sign of n-th operand inverted during output?. More...
idaman bool ida_export | toggle_sign (ea_t ea, int n)
| Toggle sign of n-th operand. More...
idaman bool ida_export | is_bnot (ea_t ea, flags64_t F, int n)
| Should we negate the operand?. More...
idaman bool ida_export | toggle_bnot (ea_t ea, int n)
| Toggle binary negation of operand. also see is_bnot()
idaman bool ida_export | is_lzero (ea_t ea, int n)
| Display leading zeroes? Display leading zeroes in operands. More...
idaman bool ida_export | set_lzero (ea_t ea, int n)
| Set toggle lzero bit. More...
idaman bool ida_export | clr_lzero (ea_t ea, int n)
| Clear toggle lzero bit. More...
bool idaapi | toggle_lzero (ea_t ea, int n)
| Toggle lzero bit. More...

## Function Documentation

## ◆ f_has_xref()

THREAD_SAFE bool idaapi f_has_xref | ( | flags64_t | f,
|  | void * |
| ) |  |
| inline

Does the current byte have cross-references to it?

## ◆ f_has_name()

THREAD_SAFE bool idaapi f_has_name | ( | flags64_t | f,
|  | void * |
| ) |  |
| inline

Does the current byte have non-trivial (non-dummy) name?

## ◆ f_has_dummy_name()

THREAD_SAFE bool idaapi f_has_dummy_name | ( | flags64_t | f,
|  | void * |
| ) |  |
| inline

Does the current byte have dummy (auto-generated, with special prefix) name?

## ◆ f_has_user_name()

THREAD_SAFE bool idaapi f_has_user_name | ( | flags64_t | F,
|  | void * |
| ) |  |
| inline

Does the current byte have user-specified name?

## ◆ is_invsign()

idaman bool ida_export is_invsign | ( | ea_t | ea,
|  | flags64_t | F,
|  | int | n
| ) |  |

Should sign of n-th operand inverted during output?.

allowed values of n: 0-first operand, 1-other operands

## ◆ toggle_sign()

idaman bool ida_export toggle_sign | ( | ea_t | ea,
|  | int | n
| ) |  |

Toggle sign of n-th operand.

allowed values of n: 0-first operand, 1-other operands

## ◆ is_bnot()

idaman bool ida_export is_bnot | ( | ea_t | ea,
|  | flags64_t | F,
|  | int | n
| ) |  |

Should we negate the operand?.

asm_t::a_bnot should be defined in the idp module in order to work with this function

## ◆ is_lzero()

idaman bool ida_export is_lzero | ( | ea_t | ea,
|  | int | n
| ) |  |

Display leading zeroes? Display leading zeroes in operands.

The global switch for the leading zeroes is in idainfo::s_genflags Note: the leading zeroes doesn't work if for the target assembler octal numbers start with 0.

Parameters

  ea | the item (insn/data) address
  n | the operand number (0-first operand, 1-other operands)

Returns
  success

## ◆ set_lzero()

idaman bool ida_export set_lzero | ( | ea_t | ea,
|  | int | n
| ) |  |

Set toggle lzero bit.

This function changes the display of leading zeroes for the specified operand. If the default is not to display leading zeroes, this function will display them and vice versa.

Parameters

  ea | the item (insn/data) address
  n | the operand number (0-first operand, 1-other operands)

Returns
  success

## ◆ clr_lzero()

idaman bool ida_export clr_lzero | ( | ea_t | ea,
|  | int | n
| ) |  |

Clear toggle lzero bit.

This function reset the display of leading zeroes for the specified operand to the default. If the default is not to display leading zeroes, leading zeroes will not be displayed, as vice versa.

Parameters

  ea | the item (insn/data) address
  n | the operand number (0-first operand, 1-other operands)

Returns
  success

## ◆ toggle_lzero()

bool idaapi toggle_lzero | ( | ea_t | ea,
|  | int | n
| ) |  |
| inline

Toggle lzero bit.

Parameters

  ea | the item (insn/data) address
  n | the operand number (0-first operand, 1-other operands)

Returns
  success